org.eclipse.jgit.api

## Enum MergeCommand.FastForwardMode.Merge

- java.lang.Object
- - java.lang.Enum<MergeCommand.FastForwardMode.Merge>
  - - org.eclipse.jgit.api.MergeCommand.FastForwardMode.Merge

All Implemented Interfaces:
  Serializable, Comparable<MergeCommand.FastForwardMode.Merge>

Enclosing class:
  MergeCommand.FastForwardMode

    public static enum MergeCommand.FastForwardMode.Merge
    extends Enum<MergeCommand.FastForwardMode.Merge>

The modes available for fast forward merges corresponding to the options under `merge.ff`.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FALSE` `MergeCommand.FastForwardMode.NO_FF`.
`ONLY` `MergeCommand.FastForwardMode.FF_ONLY`.
`TRUE` `MergeCommand.FastForwardMode.FF`.

### Method Summary

Methods
`static MergeCommand.FastForwardMode.Merge` `valueOf(MergeCommand.FastForwardMode ffMode)` Map from `FastForwardMode` to `FastForwardMode.Merge`.
`static MergeCommand.FastForwardMode.Merge` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MergeCommand.FastForwardMode.Merge[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TRUE

    public static final MergeCommand.FastForwardMode.Merge TRUE

`MergeCommand.FastForwardMode.FF`.

#### FALSE

    public static final MergeCommand.FastForwardMode.Merge FALSE

`MergeCommand.FastForwardMode.NO_FF`.

#### ONLY

    public static final MergeCommand.FastForwardMode.Merge ONLY

`MergeCommand.FastForwardMode.FF_ONLY`.

### Method Detail

#### values

    public static MergeCommand.FastForwardMode.Merge[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MergeCommand.FastForwardMode.Merge c : MergeCommand.FastForwardMode.Merge.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MergeCommand.FastForwardMode.Merge valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### valueOf

    public static MergeCommand.FastForwardMode.Merge valueOf(MergeCommand.FastForwardMode ffMode)

Map from `FastForwardMode` to `FastForwardMode.Merge`.

Parameters:
  `ffMode` - the `FastForwardMode` value to be mapped
Returns:
  the mapped code>FastForwardMode.Merge value